/*****************************************************************************
 *                                                                           *
 *     Defines global definitions                                            *
 *     Version 1.1                        Author      :    Henry Koplien     *
 *                                        Create date :    19.11.98          *
 *                                        Last edit   :    29.11.98          *
 *****************************************************************************/
#include <bsd/libc.h>      // Non-POSIX for NeXT...
#include <syslog.h>
#include <math.h>
#include <sys/reboot.h>

/**
  *  @name                 Global constants  
  *
  *  The following section describes system wide definitions which are
  *  used in a lot of different objects. In this file (global.hpp)
  *  exists constants for mailing hard errors too. Those errors are caused 
  *  from internal exceptions. It is a good practice to fill out this address
  *  correctly to inform the author immediatly if one occures.
  *
  *  @author  Henry Koplien
  *  @version 1.1 (last edit 29. November 1998)
  *  @memo    The basement
  */
//@{
                    /// The Mailer address for the nasty errors
#define MAILADR     "root"
                    /// Version of the UPS-Daemon Package
#define VERSION     "1.1"
                    /// Date of the last Package Release
#define DATE        "29. November 1998"

//
// System defines
//

                    /// String length used for nearly all text variables
#define STRLEN      128
                    /// Own dummy signal function for signal handler
#define SIG_IGNORE  (void (*)(int))1
                    /// Definition of a string
typedef char        string[STRLEN];

//
// Work arounds...
//

#ifndef TRUE
#define TRUE        1
#endif
#ifndef FALSE
#define FALSE       0
#endif
#ifdef index
#undef index
#endif

/** Set of errors, for logging */
enum    error_set   { OUT_OF_MEMORY, INTERNAL, OPEN_SIO, READ_SIO, WRITE_SIO,
                      CANT_ADD, LOCK_FILE, UPS_REBOOT, FORK, RING_ON,
                      RING_OFF, IOCTL_ERR };
//@}
#include "memory.hpp" // Own memory allocation
